Skip to main content
POST
/
api
/
v1
/
agents
/
{uuid}
/
intents
/
{intentUuid}
/
event
/
unpublish
Unpublish the intent's action (back to draft)
curl --request POST \
  --url https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/intents/{intentUuid}/event/unpublish \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "Intent event unpublished successfully",
  "data": {
    "event_type": "app",
    "status": "draft",
    "app": {
      "uid": "7da9…",
      "name": "Tables",
      "is_builtin": true
    },
    "action": {
      "key": "ai_query",
      "name": "AI Query"
    },
    "app_connection_uuid": null,
    "config": {
      "table_uuid": "…",
      "max_results": 10
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.mihu.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Path Parameters

uuid
string<uuid>
required
intentUuid
string<uuid>
required

Response

Intent event unpublished